# 新WMS数据抓取

新WMS数据抓到海关监管系统

## 仓库备案
新增加一个仓库，OMS系统生成仓库编码和在海关WMS备案的编码，配置如下：
1. 在/constant/Dict类中；

## 账册分类
新增加的账册分类编码，配置如下
1. 在/constant/Dict类中；
2. 在/resources/mybatis/mapper/wms-acq-inventory-info.xml中的sql语句对应的CAST WHEN中；
3. 仓库WMS系统，新创建对应账册分类所在的库位，必须以特定字母开头；

## 定时器时间配置
1. 参见系统classes/application.yml中【jobs.schedule】节点配置
2. 【jobs.schedule】节点参数配置，必须征得负责人同意方可修改

## Mysql数据库配置
1. 因为系统向`mysql`数据库写入数据量大，必须配置`mysql`的`max_allowed_packet`参数值。
2. 如果配置参数少于写入数据大小，`mysql`会报`Could not send query: stream size 50664717 is >= to max_allowed_packet (4194304)`异常；
3. 永久性解决方案，修改配置文件:
    ```
    ## vim /etc/my.cnf
    [mysqld]
    ## 修改为500M
    max_allowed_packet = 500M
    ```
4. 临时解决方案，命令行修改：
    ```
    ## 命令行修改只是临时，重启Mysql还是会恢复到默认值
    ## mysql命令行或客户端
    show variables like ‘max_allowed_packet’;
    ## 修改为500M
    set global max_allowed_packet = 500 * 1024 * 1024;
    ```
## bug
1. \#20190521001
    + bug编号
    ```
    #20190521001
    ```
    + bug说明：
        - 2019年5月21日分中心修改【acq_shelf_load】上下架表【id】字段类型为【varchar】
        - 使用雪花算法作为增长id
2. 通天晓WMS仓库系统因不记录为0的库存数据，但该SKU数量在海关必须要显示为0
    20200220，修改库存和库位抓取SQL，重新打包上线。
    
3. 20200512
    海关为新零售增加展示账册，以监控保税区展示账册和门店展示账册中的货品。
4. 20230619
    变更数据库服务器，迁移到阿里云。

